const listedesentree = [];

function activationBoutonFlotant(lui) {
  if (listedesentree.find(function(valeur) {return valeur == lui.name;})) {
    for( var i = 0; i < listedesentree.length; i++){
      if ( listedesentree[i] === lui.name) {
          listedesentree.splice(i, 1);
          break;
      }
    }
  } else {
    listedesentree.push(lui.name);
  };

  if (listedesentree.length > 0){
    document.getElementById("enregistrer-interrupteur").classList.remove("desactiver");
    document.getElementById("enregistrer-interrupteur").style.display = "block";
  }else{
    document.getElementById("enregistrer-interrupteur").classList.add("desactiver");
  }
}
